summaryrefslogtreecommitdiff
path: root/run.sh
diff options
context:
space:
mode:
authorPaul Buetow <paul@buetow.org>2024-02-04 10:45:19 +0200
committerPaul Buetow <paul@buetow.org>2024-02-04 10:45:19 +0200
commit86df1706e25d945aad671d3bf9f89f1d057eb616 (patch)
treeb9a86cdb3133c83e7cccec76fbf133dc20b01c8f /run.sh
parent6f0b9a473ab8e3fd8ac58724e907809da36b1bd1 (diff)
can compile
Diffstat (limited to 'run.sh')
-rwxr-xr-xrun.sh21
1 files changed, 2 insertions, 19 deletions
diff --git a/run.sh b/run.sh
index c39f257..15c9c6d 100755
--- a/run.sh
+++ b/run.sh
@@ -1,22 +1,5 @@
#!/bin/bash
-# SETTINGS
+set -xeuf -o pipefail
-TEST=$(dirname $0)/$1 # execute
-TIMEOUT=10 # seconds
-
-# COMMON
-
-COMMON="$(dirname $0)/../common/common.sh"
-[[ -f $COMMON ]] && { . $COMMON; } || { error "no common"; exit 1; }
-
-# MAIN
-
-kern_version gt 4.18
-
-check_build
-check_ppid
-test_exec
-test_finish
-
-exit 0
+sudo ./ioriotng